/*
 * Copyright 2009-2016 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at:
 *
 *     http://aws.amazon.com/apache2.0/
 *
 * or in the "license" file accompanying this file. This file is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 */

package software.amazon.ion;

import software.amazon.ion.IonStruct;
import software.amazon.ion.IonValue;

public class StringFieldNameEscapesTest
    extends TextTestCase
{

    @Override
    protected String wrap(String ionText)
    {
        return "{\"" + ionText + "\":null}";
    }

    @Override
    protected String printed(String ionText)
    {
        return "{\'" + ionText + "\':null}";
    }

    @Override
    protected String unwrap(IonValue v)
    {
        return ((IonStruct)v).iterator().next().getFieldName();
    }
}
